## com.meego.libsocialweb.Service com.meego.libsocialweb.Service — Service interface |

## Methods

    GetStaticCapabilities  (out 'as' caps)
    GetDynamicCapabilities (out 'as' caps)
    CredentialsUpdated     ()

## Signals

    CapabilitiesChanged ('as' caps)
    UserChanged         ()

## Implemented Interfaces

Objects implementing com.meego.libsocialweb.Service also implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Description

An interface representing the core functionality present on all objects representing service backends.

## Details

### `GetStaticCapabilities()`

    GetStaticCapabilities (out 'as' caps)

Query the service for the capabilities that this service provides. Static capabilities represent capabilities that this service can theoretically provide. Depending on the internal configuration of the service the list of dynamic capabilities may change.

- has-update-status-iface: The service supports the UpdateStatus interface.

- has-avatar-iface: The service supports the Avatar interface.

- has-photo-upload-iface: The service supports the PhotoUpload interface.

- has-banishable-iface: The service supports the Banishable interface.

- has-query-iface: The service supports the Query interface.

- has-contacts-query-iface: The service supports the ContactsQuery interface.

- has-collections-iface: The service supports the Collections interface.

- can-verify-credentials: The credentials-invalid and credentials-valid dynamic capabilities are available.

- can-update-status-with-geotag: When using StatusUpdate:`UpdateStatus()` it is possible to provide latitude and longitude fields.

`caps`: | The list of static capabilities that this service supports.

### `GetDynamicCapabilities()`

    GetDynamicCapabilities (out 'as' caps)

`caps`: |

### `CredentialsUpdated()`

    CredentialsUpdated ()

## Signal Details

### The CapabilitiesChanged signal

    CapabilitiesChanged ('as' caps)

`caps`: |

### The UserChanged signal

    UserChanged ()